# Module: packet/symmetrically_encrypted

## packet/symmetrically_encrypted

#### new require("packet/symmetrically_encrypted")()

  Source:
    - packet/symmetrically_encrypted.js, line 33

Source:
  - packet/symmetrically_encrypted.js, line 18

### Members

#### packets :module:packet/packetlist

  Decrypted packets contained within.

  ##### Type:

  - module:packet/packetlist
  Source:
    - packet/symmetrically_encrypted.js, line 37

### Methods

#### decrypt(sessionKeyAlgorithm, key)

  Symmetrically decrypt the packet data

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `sessionKeyAlgorithm` | Integer | Symmetric key algorithm to use // See RFC4880 9.2
  `key` | String | Key as string with the corresponding length to the algorithm

  Source:
    - packet/symmetrically_encrypted.js, line 57

  ##### Returns:

  The decrypted data;